%global momorel 2

Name:           perl-Config-General
Version:        2.49
Release:        %{momorel}m%{?dist}
Summary:        Generic Config Module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-General/
Source0:        http://www.cpan.org/authors/id/T/TL/TLINDEN/Config-General-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
This module opens a config file and parses its contents for you. The new
method requires one parameter which needs to be a filename. The method
getall returns a hash which contains all options and its associated values
of your config file.

%prep
%setup -q -n Config-General-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changelog README
%{perl_vendorlib}/Config/General
%{perl_vendorlib}/Config/General.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.49-2m)
- full rebuild for mo7 release

* Tue Jun  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-1m)
- update to 2.49

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.48-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.48-2m)
- rebuild against perl-5.12.0

* Sat Apr 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.48-1m)
- update to 2.48

* Thu Apr  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-1m)
- update to 2.46

* Tue Apr 06 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.45-1m)
- update to 2.45
- Specfile re-generated by cpanspec 1.78.

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.44-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-1m)
- update to 2.44

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.43-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.43-1m)
- update to 2.43

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-1m)
- update to 2.42

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.40-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Tue Jun 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-1m)
- update to 2.38

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.37-2m)
- rebuild against gcc43

* Sun Nov 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-1m)
- update to 2.37

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Tue Oct 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34-1m)
- update to 2.34

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.33-1m)
- update to 2.33

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.32-2m)
- use vendor

* Sun Feb 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-1m)
- update to 2.32

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.31-1m)
- spec file was autogenerated
